Ext.namespace('dSA', 'dSA.config');

dSA.LoadLangpack = function(successCallback, failureCallback)
{
    Ext.Ajax.request({
        url: dSA.config.langPath,
        scope: this,
        method: "GET",
        disableCaching: true,
        success: function(response, options) {
            try {
                var data = Ext.util.JSON.decode(response.responseText);

                var params = {
                                'domain' : 'dsa',
                                'locale_data' : { 'dsa' : data }
                             };
                dSA.config.gt = new Gettext(params);
                if (successCallback != undefined) {
                    successCallback();
                }
            } catch(err) {
                if (failureCallback != undefined) {
                    failureCallback(err);
                }
            }
        },
        failure: function(response, options) {
            if (failureCallback != undefined) {
                failureCallback("Could not load language packge");
            }
        }
    });
};

dSA._ = function(msgid, arg1, arg2)
{
    if (dSA.config.gt === undefined) {
        return msgid;
    }

    if (arguments.length === 1) {
        return dSA.config.gt.gettext(msgid);
    } else if (arguments.length === 2) {
        return dSA.config.gt.ngettext(msgid, arg1);
    } else if (arguments.length === 3) {
        return dSA.config.gt.ngettext(msgid, arg1, arg2);
    }

    return msgid;
};

